<?php
/**
 * 文章列表
 * $Id: article_dat_list.inc,v 1.1 2016-9-22 09:58:31 cuixl Exp $
 * @author cuixl
 * @access public
 * @package manager.templates
 */

?>
<br />
<b>短视频列表</b><br />
<br />
<form name="search_input" method="post" action="?">
	<input type="hidden" name="search_flg" value="true" />
	<table>
		<tr>
			<td>短视频分类</td>
			<td>
				<select name="category_id">
					<option value="0" >请选择</option>
					<?
					foreach ($category_list as $category_mst) {
					?>
						<option value="<?=$category_mst->category_id ?>"<?=$category_mst->category_id == $category_id ? " selected " : "" ?>><?=$category_mst->title ?></option>
					<?
					}
					?>
				</select>
				<input type="text" name="title" value="<?=htmlspecialchars($title) ?>" size=20/>
				<input type="submit" value="検索" class="button_width_normal" />
			</td>
		</tr>
	</table>
	</br>
	<input type="button" value="添加短视频" class="button_width_normal" onClick="videoDatEdit()"/>
</form>
<br />
<?
require_once("page_common.inc");
?>
<div id="result_list">
	<table>
		<tr>
			<th class="contents_title" width="5%" nowrap>分类</th>
			<th class="contents_title" width="15%">标题</th>
			<th class="contents_title" width="10%" nowrap>封面</th>
			<th class="contents_title" width="5%">有效</th>
			<th class="contents_title"  width="15%">标签</th>
			<th class="contents_title" width="5%">阅览次数</th>
			<th class="contents_title" width="10%">操作</th>
		</tr>

		<?
		if (!empty($article_dat_list)) {
			foreach($article_dat_list as $article_dat) {
				$category_title = "-";
				if($article_dat->category_id > 0) {
					$category_title = $category_array[$article_dat->category_id];
				}
				
				$selected_tags = $article_dat->tags;
		?>
				<tr>
					<td align="center" nowrap><?=htmlspecialchars($category_title) ?></td>
					<td align="center" nowrap><?=htmlspecialchars($article_dat->title) ?></td>
					<td align="center" nowrap>
						<img src="<?=BeautyHandler::getImageUrl($article_dat->front_image, 'video', "") ?>" style="height:60px;" />
					</td>
					<td align="center" nowrap><?=htmlspecialchars($article_dat->is_valid) ?></td>
					<td align="center" nowrap><?=htmlspecialchars($selected_tags) ?></td>
					<td align="center" nowrap><?=htmlspecialchars($article_dat->read_count) ?></td>
					<td align="center">
						<a class="flatbutton" href="video_data_edit.php?id=<?=$article_dat->id ?>&action_type=edit">编集</a>
					</td>
				</tr>
				<?
			}
		}
		?>
	</table>
</div>